> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Evaluation Dataset

> ### Description

Gets the details of a dataset.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/evaluation-datasets/{evaluation_dataset_id}
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/evaluation-datasets/{evaluation_dataset_id}:
    get:
      tags:
        - Evaluation Datasets
      summary: Get Evaluation Dataset
      description: |-
        ### Description

        Gets the details of a dataset.
      operationId: GET-V4-/evaluation-datasets/{evaluation_dataset_id}
      parameters:
        - name: evaluation_dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Dataset Id
        - name: view
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/EvaluationDatasetViewsOptions'
              - type: 'null'
            title: View
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluationDatasetResponseWithViews'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            evaluation_dataset = client.evaluation_datasets.retrieve(
                evaluation_dataset_id="evaluation_dataset_id",
            )
            print(evaluation_dataset.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tevaluationDataset, err := client.EvaluationDatasets.Get(\n\t\tcontext.TODO(),\n\t\t\"evaluation_dataset_id\",\n\t\tsgp.EvaluationDatasetGetParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", evaluationDataset.ID)\n}\n"
components:
  schemas:
    EvaluationDatasetViewsOptions:
      type: string
      enum:
        - DatasetVersion
        - TestCaseCount
      title: EvaluationDatasetViewsOptions
    EvaluationDatasetResponseWithViews:
      properties:
        test_case_count:
          title: Test Case Count
          type: integer
        evaluation_dataset_versions:
          title: Evaluation Dataset Versions
          items:
            $ref: '#/components/schemas/EvaluationDatasetVersionResponse'
          type: array
        name:
          type: string
          title: Name
          description: The name of the dataset
        schema_type:
          $ref: '#/components/schemas/EvaluationDatasetORMSchemaTypeEnum'
          description: The schema type of the dataset.
        knowledge_base_id:
          title: Knowledge Base Id
          description: >-
            ID of the knowledge base that the evaluation dataset is associated
            with.
          can_patch: false
          type: string
        evaluation_dataset_metadata:
          title: Evaluation Dataset Metadata
          description: Metadata about the Evaluation Dataset that it is associated with
          can_patch: false
          additionalProperties: true
          type: object
        out_of_date:
          title: Out Of Date
          description: >-
            Boolean to check whether or not the knowledge base has been uploaded
            to since publication of the dataset.
          can_patch: false
          type: boolean
        vendor:
          $ref: '#/components/schemas/EvaluationDatasetVendor'
          description: >-
            The vendor of the evaluation dataset (e.g. 'Scale' for Scale
            off-the-shelf datasets). Null if the evaluation dataset is not from
            a vendor (e.g., is created by the customer).
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the entity was last updated in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        archived_at:
          title: Archived At
          description: The date and time when the entity was archived in ISO format.
          type: string
          format: date-time
        schema_sub_type:
          $ref: '#/components/schemas/EvaluationDatasetSchemaSubType'
      type: object
      required:
        - name
        - schema_type
        - id
        - created_at
        - updated_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
      title: EvaluationDatasetResponseWithViews
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EvaluationDatasetVersionResponse:
      properties:
        num:
          type: integer
          title: Num
          description: The version number, automatically incremented on creation
        evaluation_dataset_id:
          type: string
          title: Evaluation Dataset Id
          description: The ID of the associated evaluation dataset.
        draft:
          title: Draft
          description: >-
            Boolean to check whether or not the evaluation dataset is in draft
            mode
          optional_in_request: true
          type: boolean
        published_at:
          title: Published At
          description: >-
            The date and time that all test case results for the evaluation were
            completed for the evaluation in ISO format.
          type: string
          format: date-time
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
          optional_in_request: true
          type: string
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        archived_at:
          title: Archived At
          description: The date and time when the entity was archived in ISO format.
          type: string
          format: date-time
      type: object
      required:
        - num
        - evaluation_dataset_id
        - draft
        - id
        - created_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
      title: EvaluationDatasetVersionResponse
    EvaluationDatasetORMSchemaTypeEnum:
      type: string
      enum:
        - GENERATION
        - FLEXIBLE
      title: EvaluationDatasetORMSchemaTypeEnum
    EvaluationDatasetVendor:
      type: string
      enum:
        - scale
      title: EvaluationDatasetVendor
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum
    EvaluationDatasetSchemaSubType:
      type: string
      enum:
        - summarization
        - translation
      title: EvaluationDatasetSchemaSubType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````